<html>
<head>
<title>OGRE: Ogre::ProgressiveMesh::PMVertex Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>::<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a></div>
<h1>Ogre::ProgressiveMesh::PMVertex Class Reference</h1><!-- doxytag: class="Ogre::ProgressiveMesh::PMVertex" -->A vertex in the progressive mesh, holds info like collapse cost etc.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ProgressiveMesh_1_1PMVertex-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::set<br>
&lt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c6ea70b4253024dc32be3d36e093e611">NeighborList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::set<br>
&lt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#0bf8369fb608658e95480dc94a1d583e">DuplicateList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::set<br>
&lt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html">PMTriangle</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c4653133a44096bb3edfef99c4c06239">FaceList</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#4c52cc21daf3d06a39b04c1f125b8577">PMVertex</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#531a2dc41f2b3e0f5e24dc0caad0f995">setDetails</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;v, size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#6982e31f211ee8b10cf643baebefc3aa">index</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#d96f10c8b54acfc7512451c26e8a397c">removeIfNonNeighbor</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *n)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#56fdb43318f4a4555eb6822905107bf2">isBorder</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ab7df3d590ba9add1b945872a5759ea2">isManifoldEdgeWith</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *v)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">true if this vertex is on the edge of an open geometry patch  <a href="#ab7df3d590ba9add1b945872a5759ea2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#1793fbe5fc12a95fde281f1611ecb512">notifyRemoved</a> (void)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#b2c1e1bf8296736b1b426577cdd8a020">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#6982e31f211ee8b10cf643baebefc3aa">index</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c6ea70b4253024dc32be3d36e093e611">NeighborList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ba08b3a1f6c6618e71fca01f4c326684">neighbor</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c4653133a44096bb3edfef99c4c06239">FaceList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#47b4d3d779f9e5323a24f53cf613a490">face</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#0bcc94cc31dc57068026c7a185baa589">collapseCost</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#63fb8662dd40d265518a2c434e1e400b">collapseTo</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#75bbec5fa218bb9845b3f059b9cddab6">removed</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#d259bc95f91a0186b62d932d368bde57">toBeRemoved</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#055efe6d7c72ddef5215588ab540fe63">seam</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A vertex in the progressive mesh, holds info like collapse cost etc. 
<p>
This vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated. In order to properly evaluate the surface properties, a single common vertex is used for these duplicates, and the faces hold the detail of the duplicated vertices. 
<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00159">159</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="c6ea70b4253024dc32be3d36e093e611"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::NeighborList" ref="c6ea70b4253024dc32be3d36e093e611" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::set&lt;<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&gt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c6ea70b4253024dc32be3d36e093e611">Ogre::ProgressiveMesh::PMVertex::NeighborList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00170">170</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0bf8369fb608658e95480dc94a1d583e"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::DuplicateList" ref="0bf8369fb608658e95480dc94a1d583e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::set&lt;<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&gt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#0bf8369fb608658e95480dc94a1d583e">Ogre::ProgressiveMesh::PMVertex::DuplicateList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00171">171</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c4653133a44096bb3edfef99c4c06239"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::FaceList" ref="c4653133a44096bb3edfef99c4c06239" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::set&lt;<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html">PMTriangle</a> *&gt; <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c4653133a44096bb3edfef99c4c06239">Ogre::ProgressiveMesh::PMVertex::FaceList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00173">173</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="4c52cc21daf3d06a39b04c1f125b8577"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::PMVertex" ref="4c52cc21daf3d06a39b04c1f125b8577" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ProgressiveMesh::PMVertex::PMVertex           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="531a2dc41f2b3e0f5e24dc0caad0f995"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::setDetails" ref="531a2dc41f2b3e0f5e24dc0caad0f995" args="(const Vector3 &amp;v, size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ProgressiveMesh::PMVertex::setDetails           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d96f10c8b54acfc7512451c26e8a397c"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::removeIfNonNeighbor" ref="d96f10c8b54acfc7512451c26e8a397c" args="(PMVertex *n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ProgressiveMesh::PMVertex::removeIfNonNeighbor           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>n</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="56fdb43318f4a4555eb6822905107bf2"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::isBorder" ref="56fdb43318f4a4555eb6822905107bf2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ProgressiveMesh::PMVertex::isBorder           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ab7df3d590ba9add1b945872a5759ea2"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::isManifoldEdgeWith" ref="ab7df3d590ba9add1b945872a5759ea2" args="(PMVertex *v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ProgressiveMesh::PMVertex::isManifoldEdgeWith           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>v</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
true if this vertex is on the edge of an open geometry patch 
<p>

</div>
</div><p>
<a class="anchor" name="1793fbe5fc12a95fde281f1611ecb512"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::notifyRemoved" ref="1793fbe5fc12a95fde281f1611ecb512" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ProgressiveMesh::PMVertex::notifyRemoved           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b2c1e1bf8296736b1b426577cdd8a020"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::position" ref="b2c1e1bf8296736b1b426577cdd8a020" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#b2c1e1bf8296736b1b426577cdd8a020">Ogre::ProgressiveMesh::PMVertex::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00168">168</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6982e31f211ee8b10cf643baebefc3aa"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::index" ref="6982e31f211ee8b10cf643baebefc3aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#6982e31f211ee8b10cf643baebefc3aa">Ogre::ProgressiveMesh::PMVertex::index</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00169">169</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba08b3a1f6c6618e71fca01f4c326684"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::neighbor" ref="ba08b3a1f6c6618e71fca01f4c326684" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c6ea70b4253024dc32be3d36e093e611">NeighborList</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ba08b3a1f6c6618e71fca01f4c326684">Ogre::ProgressiveMesh::PMVertex::neighbor</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00172">172</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="47b4d3d779f9e5323a24f53cf613a490"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::face" ref="47b4d3d779f9e5323a24f53cf613a490" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c4653133a44096bb3edfef99c4c06239">FaceList</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#47b4d3d779f9e5323a24f53cf613a490">Ogre::ProgressiveMesh::PMVertex::face</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00174">174</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0bcc94cc31dc57068026c7a185baa589"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::collapseCost" ref="0bcc94cc31dc57068026c7a185baa589" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#0bcc94cc31dc57068026c7a185baa589">Ogre::ProgressiveMesh::PMVertex::collapseCost</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00176">176</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="63fb8662dd40d265518a2c434e1e400b"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::collapseTo" ref="63fb8662dd40d265518a2c434e1e400b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a>* <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#63fb8662dd40d265518a2c434e1e400b">Ogre::ProgressiveMesh::PMVertex::collapseTo</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00177">177</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="75bbec5fa218bb9845b3f059b9cddab6"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::removed" ref="75bbec5fa218bb9845b3f059b9cddab6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#75bbec5fa218bb9845b3f059b9cddab6">Ogre::ProgressiveMesh::PMVertex::removed</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00178">178</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d259bc95f91a0186b62d932d368bde57"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::toBeRemoved" ref="d259bc95f91a0186b62d932d368bde57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#d259bc95f91a0186b62d932d368bde57">Ogre::ProgressiveMesh::PMVertex::toBeRemoved</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00179">179</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="055efe6d7c72ddef5215588ab540fe63"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMVertex::seam" ref="055efe6d7c72ddef5215588ab540fe63" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#055efe6d7c72ddef5215588ab540fe63">Ogre::ProgressiveMesh::PMVertex::seam</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00181">181</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:56 2008
</p>
</body>
</html>
